"use strict";
exports.id = 3658;
exports.ids = [3658];
exports.modules = {

/***/ 3658:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HD": () => (/* binding */ updateStripeToken),
/* harmony export */   "JT": () => (/* binding */ updateShipping),
/* harmony export */   "NK": () => (/* binding */ updateAddressStatus),
/* harmony export */   "T3": () => (/* binding */ pendingCart),
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "_m": () => (/* binding */ updateShippingMethod),
/* harmony export */   "dM": () => (/* binding */ isCartStatusUpdate),
/* harmony export */   "dv": () => (/* binding */ getCart),
/* harmony export */   "h1": () => (/* binding */ getStripeToken),
/* harmony export */   "pb": () => (/* binding */ updateCheckout),
/* harmony export */   "s5": () => (/* binding */ updateBilling)
/* harmony export */ });
/* unused harmony export updateCart */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* eslint-disable no-param-reassign */ 
// ------------------------------------
// Constants
// ------------------------------------
const initialState = {
    isCartReady: false,
    isShippingMethodReady: false,
    cart: {
        coupons: [],
        shipping_rates: [],
        ship_to_different_address: true,
        isPaymentReady: false,
        shipping_address: {
            first_name: "",
            last_name: "",
            company: "",
            address_1: "",
            address_2: "",
            city: "",
            state: "",
            postcode: "",
            country: "",
            email: "",
            phone: ""
        },
        billing_address: {
            first_name: "",
            last_name: "",
            company: "",
            address_1: "",
            address_2: "",
            city: "",
            state: "",
            postcode: "",
            country: "",
            email: "",
            phone: ""
        },
        items: [],
        items_count: 0,
        items_weight: 0,
        needs_payment: false,
        needs_shipping: false,
        has_calculated_shipping: false,
        totals: {
            total_items: "0",
            total_items_tax: "",
            total_fees: "0",
            total_fees_tax: "",
            total_discount: "0",
            total_discount_tax: "0",
            total_shipping: "",
            total_shipping_tax: "",
            total_price: "",
            total_tax: "",
            tax_lines: [],
            currency_code: "",
            currency_symbol: "",
            currency_minor_unit: 0,
            currency_decimal_separator: "",
            currency_thousand_separator: "",
            currency_prefix: "",
            currency_suffix: ""
        },
        errors: [],
        extensions: {}
    },
    checkout: {
        payment_method: "stripe",
        customer_note: ""
    },
    saveStripeCardToken: "",
    stripe_payment_data: [],
    order: {},
    product: {}
};
// ------------------------------------
// Slice
// ------------------------------------
const woocommerceSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "woocommerce",
    initialState,
    reducers: {
        pendingCart: (state)=>{
            state.isCartReady = false;
        },
        getCart: (state, { payload  })=>{
            state.cart = payload;
            state.isCartReady = true;
        },
        updateCart: (state, { payload  })=>{
            state.cart = payload;
            state.isCartReady = true;
        },
        updateBilling: (state, { payload  })=>{
            state.cart.billing_address = {
                ...state.cart.billing_address,
                ...payload
            };
        },
        isCartStatusUpdate: (state, { payload  })=>{
            state.isCartReady = payload;
        },
        updateAddressStatus: (state, { payload  })=>{
            state.cart.ship_to_different_address = payload;
            state.isShippingMethodReady = true;
        },
        updateShippingMethod: (state, { payload  })=>{
            state.cart.shipping_rates = [
                ...state.cart.shipping_rates,
                ...payload
            ];
            state.isShippingMethodReady = true;
        },
        updateShipping: (state, { payload  })=>{
            state.cart.shipping_address = {
                ...state.cart.shipping_address,
                ...payload
            };
            state.isShippingMethodReady = true;
        },
        updateCheckout: (state, { payload  })=>{
            state.checkout = payload;
            state.isCartReady = true;
            state.isPaymentReady = true;
        },
        updateStripeToken: (state, { payload  })=>{
            state.stripe_payment_data = payload;
            state.isPaymentReady = true;
        },
        getStripeToken: (state, { payload  })=>{
            state.saveStripeCardToken = payload;
        }
    }
});
const { reducer , actions  } = woocommerceSlice;
const { getCart , pendingCart , updateCart , updateBilling , updateShipping , isCartStatusUpdate , updateAddressStatus , updateShippingMethod , updateCheckout , updateStripeToken , getStripeToken  } = actions;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);


/***/ })

};
;