"use strict";
exports.id = 9897;
exports.ids = [9897];
exports.modules = {

/***/ 9897:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ MinCart)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
var image_default = /*#__PURE__*/__webpack_require__.n(next_image);
// EXTERNAL MODULE: ./node_modules/next/link.js
var next_link = __webpack_require__(1664);
var link_default = /*#__PURE__*/__webpack_require__.n(next_link);
// EXTERNAL MODULE: external "react-redux"
var external_react_redux_ = __webpack_require__(6022);
// EXTERNAL MODULE: ./src/reducer/woocommerceSlice.js
var woocommerceSlice = __webpack_require__(3658);
// EXTERNAL MODULE: ./src/helper/StoreApi.js
var StoreApi = __webpack_require__(3231);
// EXTERNAL MODULE: ./src/components/Header/Header.module.scss
var Header_module = __webpack_require__(2298);
var Header_module_default = /*#__PURE__*/__webpack_require__.n(Header_module);
// EXTERNAL MODULE: ./src/components/Common/UrlReplace.js
var UrlReplace = __webpack_require__(4304);
;// CONCATENATED MODULE: ./public/images/cart-icon.svg
/* harmony default export */ const cart_icon = ({"src":"/_next/static/media/cart-icon.5824df1c.svg","height":21,"width":19});
;// CONCATENATED MODULE: ./src/components/MinCart/index.js










const MiniCart = ()=>{
    const dispatch = (0,external_react_redux_.useDispatch)();
    const [isPending, setIsPending] = (0,external_react_.useState)(false);
    const [removeProductId, setRemoveProductId] = (0,external_react_.useState)("");
    const { cart  } = (0,external_react_redux_.useSelector)((state)=>state.woocommerce);
    const removeItemFromCart = async (item)=>{
        setIsPending(true);
        setRemoveProductId(item.id);
        dispatch((0,woocommerceSlice/* pendingCart */.T3)());
        const getcartResponse = await (0,StoreApi/* default */.Z)({
            endpoint: "cart/remove-item",
            method: "POST",
            params: {
                key: item.key
            }
        });
        dispatch((0,woocommerceSlice/* getCart */.dv)(getcartResponse));
        setIsPending(false);
    };
    const getCartReady = async ()=>{
        dispatch((0,woocommerceSlice/* pendingCart */.T3)());
        const getcartResponse = await (0,StoreApi/* default */.Z)({
            endpoint: "cart",
            method: "GET"
        });
        dispatch((0,woocommerceSlice/* getCart */.dv)(getcartResponse));
    };
    (0,external_react_.useEffect)(()=>{
        getCartReady();
    }, []);
    return /*#__PURE__*/ (0,jsx_runtime_.jsxs)("div", {
        className: cart.items_count > 0 ? (Header_module_default()).cartIcon + " " + (Header_module_default()).cartCounterSpace : (Header_module_default()).cartIcon,
        children: [
            /*#__PURE__*/ (0,jsx_runtime_.jsxs)((link_default()), {
                href: "/basket",
                className: "dropdown-back",
                "data-toggle": "dropdown",
                children: [
                    /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        src: cart_icon,
                        width: 20,
                        height: 19,
                        alt: "cart-icon"
                    }),
                    /*#__PURE__*/ jsx_runtime_.jsx("div", {
                        className: (Header_module_default()).basketItemCount,
                        style: {
                            display: "inline"
                        },
                        children: cart.items_count > 0 ? /*#__PURE__*/ jsx_runtime_.jsx("span", {
                            className: (Header_module_default()).cartItemsCount + " " + (Header_module_default()).count,
                            id: "cart-count-auto",
                            children: cart && cart.items_count
                        }) : ""
                    })
                ]
            }),
            /*#__PURE__*/ jsx_runtime_.jsx("ul", {
                className: (Header_module_default()).dropdownMenu + " " + (Header_module_default()).dropdownMenuMiniCart,
                children: /*#__PURE__*/ jsx_runtime_.jsx("li", {
                    children: /*#__PURE__*/ jsx_runtime_.jsx("div", {
                        className: (Header_module_default()).widgetShoppingCartContent,
                        children: cart.items_count == 0 ? /*#__PURE__*/ jsx_runtime_.jsx("p", {
                            className: (Header_module_default()).woocommerceMiniCartEmptyMessage,
                            children: "No products in the basket."
                        }) : /*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
                            children: [
                                /*#__PURE__*/ jsx_runtime_.jsx("ul", {
                                    className: (Header_module_default()).woocommerceMiniCart + " " + (Header_module_default()).cartList + " " + (Header_module_default()).productListWidget,
                                    children: cart && cart.items && cart.items.map((cartItem, index)=>{
                                        return /*#__PURE__*/ (0,jsx_runtime_.jsxs)("li", {
                                            className: isPending && removeProductId == cartItem.id ? (Header_module_default()).woocommerceMiniCartItem + " " + (Header_module_default()).miniCartItem + " " + (Header_module_default()).processing : (Header_module_default()).woocommerceMiniCartItem + " " + (Header_module_default()).miniCartItem,
                                            children: [
                                                /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                    className: (Header_module_default()).wpcf7Spinner
                                                }),
                                                /*#__PURE__*/ jsx_runtime_.jsx("a", {
                                                    onClick: ()=>removeItemFromCart(cartItem),
                                                    className: (Header_module_default()).remove + " " + (Header_module_default()).removeFromCartButton,
                                                    children: "\xd7"
                                                }),
                                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)((link_default()), {
                                                    href: (0,UrlReplace/* default */.Z)(cartItem.permalink),
                                                    children: [
                                                        /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                                                            width: 418,
                                                            height: 760,
                                                            src: cartItem.images[0].src,
                                                            className: "attachment-woocommerce_thumbnail size-woocommerce_thumbnail",
                                                            alt: "",
                                                            decoding: "async",
                                                            loading: "lazy"
                                                        }),
                                                        /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                            children: cartItem.name
                                                        })
                                                    ]
                                                }),
                                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)("span", {
                                                    className: (Header_module_default()).quantity,
                                                    children: [
                                                        cartItem.quantity,
                                                        " \xd7",
                                                        /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                            className: (Header_module_default()).woocommercePriceamount + " " + (Header_module_default()).amount,
                                                            children: /*#__PURE__*/ (0,jsx_runtime_.jsxs)("bdi", {
                                                                children: [
                                                                    /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                                        className: (Header_module_default()).woocommercePricecurrencySymbol,
                                                                        children: cartItem.totals.currency_symbol
                                                                    }),
                                                                    cartItem.totals.line_total
                                                                ]
                                                            })
                                                        })
                                                    ]
                                                })
                                            ]
                                        }, index);
                                    })
                                }),
                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)("p", {
                                    className: (Header_module_default()).woocommerceMiniCartTotal + " " + (Header_module_default()).total,
                                    children: [
                                        /*#__PURE__*/ jsx_runtime_.jsx("strong", {
                                            children: "Subtotal:"
                                        }),
                                        /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                            className: (Header_module_default()).woocommercePriceamount + " " + (Header_module_default()).amount,
                                            children: /*#__PURE__*/ jsx_runtime_.jsx("span", {
                                                className: (Header_module_default()).woocommercePricecurrencySymbol,
                                                children: cart && cart.totals && cart.totals.currency_symbol + cart.totals.total_items
                                            })
                                        })
                                    ]
                                }),
                                /*#__PURE__*/ (0,jsx_runtime_.jsxs)("p", {
                                    className: (Header_module_default()).woocommerceMiniCartButtons + " " + (Header_module_default()).Buttons,
                                    children: [
                                        /*#__PURE__*/ jsx_runtime_.jsx((link_default()), {
                                            href: "/basket",
                                            className: (Header_module_default()).button + " " + (Header_module_default()).wcForward + " " + (Header_module_default()).wpElementButton,
                                            children: "View basket"
                                        }),
                                        /*#__PURE__*/ jsx_runtime_.jsx((link_default()), {
                                            href: "/checkout",
                                            className: (Header_module_default()).button + " " + (Header_module_default()).wcForward + " " + (Header_module_default()).wpElementButton + " " + (Header_module_default()).checkout,
                                            children: "Checkout"
                                        })
                                    ]
                                })
                            ]
                        })
                    })
                })
            })
        ]
    });
};
/* harmony default export */ const MinCart = (MiniCart);


/***/ })

};
;