import React, { useCallback, useState } from "react"
import { useDispatch, useSelector } from 'react-redux';
import { pendingCart, getCart } from "../../reducer/woocommerceSlice";
//import { storeApi } from 'services'; 

import storeApi from "../../helper/StoreApi";

const AddToCart = ({ product, openModal, page }) => {

    let [quantity] = useState(1)
    const dispatch = useDispatch()
    //const { cart } = useSelector(state => state.woocommerce)

    const [isLoading, setIsLoading] = useState(false);
    const [isAddToAddToCart, setIsAddToAddToCart] = useState('');
    const [isLoadingProductId, setIsLoadingProductId] = useState('');

    const addToCart = useCallback(async () => {
        setIsLoading(true);
        let id = (product.id) ? product.id : product.ID;
        setIsLoadingProductId(id);
        setIsAddToAddToCart(id)
        dispatch(pendingCart());
        const getcartResponse = await storeApi({ endpoint: "cart/add-item", params: { id, quantity }, method: "POST", })
        if (getcartResponse.code == "readonly_quantity") {
            alert(getcartResponse.message)
        }
        else {
            dispatch(getCart(getcartResponse));
            openModal(product);
        }

        setIsLoading(false);
    }, [])


    return (
        // <button className={((isLoading && isLoadingProductId == product.id) ? 'common-btn loading' : 'common-btn' ) } onClick={addToCart}>Add to Basket</button>
        ((page == "home") ? <button className='common-btn' aria-hidden="true" onClick={addToCart}>Add to Basket</button>
            : ((page == "similar") ?
                <button aria-hidden="true" onClick={addToCart} type="button" className={((isLoading && isLoadingProductId == product.id) ? 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-similar-pro-cus loading' : (isLoading == false && isLoadingProductId == product.id) ? 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-similar-pro-cus product-added' : 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-similar-pro-cus')}>Add to Basket</button>
                : ((page == "list") ? <button aria-hidden="true" type="button" className={((isLoading && isLoadingProductId == product.id) ? 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-cus shop-basket-btn-cus loading' : (isLoading == false && isLoadingProductId == product.id) ? 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-cus shop-basket-btn-cus product-added' : 'single_add_to_cart_button_general_plist button alt single-details-basket-btn btn-basket-cus shop-basket-btn-cus')} onClick={addToCart}>Add to Basket</button> : <button type="button" className={((isLoading && isLoadingProductId == product.id) ? 'single_add_to_cart_button button alt single-details-basket-btn loading' : (isLoading == false && isLoadingProductId == product.id) ? 'single_add_to_cart_button button alt single-details-basket-btn product-added' : 'single_add_to_cart_button button alt single-details-basket-btn')} onClick={addToCart}>Add to Basket</button>)))
    )
}

export default AddToCart

