
import Image from 'next/image';
import Link from 'next/link'
import styles from '../../styles/header_second.module.scss';
import UrlReplace from '../Common/UrlReplace';
import DropArrow from '../../../public/images/down-arrow.svg';


const HeaderNav = ({ topMenuData, headerMenuData, ToggleClass, isActive }) => {

  const setSubMenu = (childItemsData) => {
    return <ul className={styles.subMenu}>
      {childItemsData.map((childItems, index) => {
        return <li key={index} className={(childItems.childItems) ? styles.menuItem + " " + styles.subChildMenuItem : styles.menuItem}>
          <Link onClick={ToggleClass} href={UrlReplace(childItems.url)}>{childItems.title}</Link>
          {(childItems.childItems) ?
            <span className={styles.downArrow} onClick={(e) => selectMenu(e, childItems.id, 'sub')}>
              <Image className="ar-icon" src={DropArrow} alt={childItems.title} />
            </span> : ''}
          {(childItems.childItems) ? setSubMenu(childItems.childItems) : ""}
        </li>
      })}
    </ul>

  }

  const selectMenu = (event, id, type) => {
    if (type == 'main') {
      for (const ul of document.querySelectorAll(".activeMenuHeader")) {
        ul.classList.remove("activeMenuHeader");
      }

      for (const ul of document.querySelectorAll(".arrowUp")) {
        ul.classList.remove("arrowUp");
      }
    }

    if (selectedMenuId != id) {
      event.target.offsetParent.classList.add('arrowUp');
      event.target.offsetParent.nextElementSibling.classList.add('activeMenuHeader');
      setSelectedMenuId(id)
    } else {
      if (type == 'sub') {
        event.target.offsetParent.classList.remove('arrowUp');
        event.target.offsetParent.nextElementSibling.classList.remove('activeMenuHeader');
      }
      setSelectedMenuId()
    }

  }

  return (

    <nav id="site-navigation" className={styles.mainNavigation}>
      <div id="toggle" className={((isActive) ? styles.toggle : styles.toggle + " " + styles.activeMenu)} onClick={ToggleClass}><span /><span /><span /></div>

      <div className={((isActive) ? styles.menuHeaderMenuContainer : styles.menuHeaderMenuContainer + " " + styles.menuOpen)}>

        <ul className={styles.menu + " menu"}>

          {headerMenuData && headerMenuData.items && headerMenuData.items.map((headerMenuItem, index) => {
            return <li key={index} className={(headerMenuItem.childItems) ? styles.menuItem + " " + styles.subMenuItem : styles.menuItem}>
              <Link onClick={ToggleClass} href={UrlReplace(headerMenuItem.url)}>{headerMenuItem.title}</Link>
              <span className={styles.downArrow} onClick={(e) => selectMenu(e, headerMenuItem.id, 'main')}>
                <Image className="ar-icon" src={DropArrow} alt={headerMenuItem.title} />
              </span>
              {(headerMenuItem.childItems) ? setSubMenu(headerMenuItem.childItems) : ""}
            </li>
          })}
        </ul>
        <div className={styles.topMenu}>
          <div className={styles.menuTopMenuContainer}>
            <ul className={styles.menu}>
              {topMenuData && topMenuData.items && topMenuData.items.map((topMenuItem, index) => {
                return <li key={index} className={styles.menuItem}>
                  <Link onClick={ToggleClass} href={UrlReplace(topMenuItem.url)}>{topMenuItem.title}</Link>
                </li>
              })}
            </ul>
          </div>
        </div>
      </div>
    </nav>

  );
};

export default HeaderNav;
