import React from 'react';
import Link from 'next/link'
import Image from "next/image";
import UrlReplace from '../Common/UrlReplace'
import styles from '../Header/Header.module.scss';
const HeaderLogos = ({headerLogosData}) => {
  
  return (
    <div className={styles.headerLogos}>
      <div className={styles.logosBlock}>
            
        { headerLogosData && headerLogosData.map((headerLogosItem, index) => { 
            return   (headerLogosItem.button_link_type == "external") ? 
            <a key={index} href={headerLogosItem.external_link} target="_blank">
                <Image height={56} width={49} src={headerLogosItem.logo_icon} alt="bada" className={styles.webpexpressProcessed} />
            </a> : 
            <Link key={index} href={UrlReplace(headerLogosItem.internal_link)} >
                <Image height={56} width={49} src={headerLogosItem.logo_icon} alt="lapada" className={styles.webpexpressProcessed} />
            </Link>
            }) }
            
            
        </div>
    </div>
  );
};

export default HeaderLogos;
