import React, { useEffect, useState } from "react";
import { Tab, Tabs, TabList, TabPanel } from "react-tabs";
//import '../../styles/shop/aboutproduct.scss';
import styles from "../../styles/shop/AboutProduct.module.scss";
import { fetchOptionByParams } from "../../services"

const AboutProduct = ({ productsData }) => {
  const [showTab, setShowTab] = useState("description");
  const [optionData, setOptionData] = useState(null);
  const handleOptionApi = async () => {
    const optionResponse = await fetchOptionByParams("acf.delivery_details,acf.about_william_walter_antiques,acf.how_to_buy,acf.product_enquire_form,acf.product_page_form_1");
    if (optionResponse) {
      setOptionData(optionResponse)
    }
  }
  useEffect(() => {
    handleOptionApi();
  }, [])
  return productsData.length > 0 && optionData ? (
    <section className={styles.root}>
      <div className="accordion view-less-pos">
        <div className="accordion-inner">
          <div className={styles.wrapper}>
            <Tabs forceRenderTabPanel>
              <TabList>
                <Tab>
                  <p>Description</p>
                </Tab>
                {productsData[0].maker.length > 0 ? (
                  <Tab>
                    <p>Maker</p>
                  </Tab>
                ) : (
                  ""
                )}

                <Tab>
                  <p>Delivery Details</p>
                </Tab>
                <Tab>
                  <p>
                    About William
                    <br />
                    Walter Antiques
                  </p>
                </Tab>
                <Tab>
                  <p>How to buy</p>
                </Tab>
              </TabList>

              <div
                className={showTab == "description" ? "mobile tittle active" : "mobile tittle"}
                onClick={() => setShowTab("description")}
                rel="react-tabs-1"
              >
                Description
              </div>
              <TabPanel
                className={
                  showTab == "description" ? "react-tabs__tab-panel mobile-description" : "react-tabs__tab-panel"
                }
              >
                <div className="panel-content">
                  <div
                    className="main-content-block"
                    dangerouslySetInnerHTML={{ __html: productsData[0].description }}
                  ></div>
                </div>
              </TabPanel>
              {productsData[0].maker.length > 0 ? (
                <>
                  <div
                    className={showTab == "maker" ? "mobile tittle active" : "mobile tittle"}
                    onClick={() => setShowTab("maker")}
                    rel="react-tabs-2"
                  >
                    Maker
                  </div>
                  <TabPanel
                    className={
                      showTab == "maker" ? "react-tabs__tab-panel mobile-description" : "react-tabs__tab-panel"
                    }
                  >
                    <div className="panel-content">
                      <div className="main-content-block">
                        {productsData[0].maker &&
                          productsData[0].maker.map((makerItem, index) => {
                            return (
                              <div className="maker-tab-data" key={index}>
                                <b dangerouslySetInnerHTML={{ __html: makerItem.name }}></b>
                                <p dangerouslySetInnerHTML={{ __html: makerItem.description }}></p>
                              </div>
                            );
                          })}
                      </div>
                    </div>
                  </TabPanel>{" "}
                </>
              ) : (
                ""
              )}
              <div
                className={showTab == "delivery_details" ? "mobile tittle active" : "mobile tittle"}
                onClick={() => setShowTab("delivery_details")}
                rel="react-tabs-3"
              >
                Delivery Details
              </div>
              <TabPanel
                className={
                  showTab == "delivery_details" ? "react-tabs__tab-panel mobile-description" : "react-tabs__tab-panel"
                }
              >
                <div className="panel-content">
                  <div
                    className="main-content-block"
                    dangerouslySetInnerHTML={{ __html: optionData.acf.deliveryDetails }}
                  ></div>
                </div>
              </TabPanel>
              <div
                className={showTab == "about_william" ? "mobile tittle active" : "mobile tittle"}
                onClick={() => setShowTab("about_william")}
                rel="react-tabs-4"
              >
                About William
                <br />
                Walter Antiques
              </div>
              <TabPanel
                className={
                  showTab == "about_william" ? "react-tabs__tab-panel mobile-description" : "react-tabs__tab-panel"
                }
              >
                <div className="panel-content">
                  <div
                    className="main-content-block"
                    dangerouslySetInnerHTML={{ __html: optionData.acf.aboutWilliamWalterAntiques }}
                  ></div>
                </div>
              </TabPanel>
              <div
                className={showTab == "how_to_buy" ? "mobile tittle active" : "mobile tittle"}
                onClick={() => setShowTab("how_to_buy")}
                rel="react-tabs-5"
              >
                How to buy
              </div>
              <TabPanel
                className={
                  showTab == "how_to_buy" ? "react-tabs__tab-panel mobile-description" : "react-tabs__tab-panel"
                }
              >
                <div className="panel-content">
                  <div
                    className="main-content-block"
                    dangerouslySetInnerHTML={{ __html: optionData.acf.howToBuy }}
                  ></div>
                </div>
              </TabPanel>
            </Tabs>
          </div>
        </div>
      </div>
    </section>
  ) : "";
};

export default AboutProduct;
