import React, { useState, useEffect } from 'react';
import  Link  from 'next/link';
import Slider from "react-slick";
import { fetchProducts } from '../../services';
import UrlReplace from "../Common/UrlReplace";
//import '../../styles/shop/similarproducts.scss';
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";
import Image from 'next/image';
import styles from '../../styles/shop/SimilarProducts.module.scss';


const RecentlyViewed = ({productsData}) => {

    const [recentProductsData,setRecentProductsData] = useState([]);

    const handleRecentProducts = async (recentlyIds) => {

        try {
            if(recentlyIds)
            {
                const recentlyProductResponse = await fetchProducts('?per_page=8&include='+recentlyIds);
                setRecentProductsData(recentlyProductResponse);
            }
            
        } catch (e) {
            console.log(e)
        }
    }

    useEffect(() => { 
       
        if(localStorage.getItem('recentlyViewedProduct') && productsData.length > 0)
        {
            var recentlyArr1 = localStorage.getItem('recentlyViewedProduct').split(','); 
            var recentlyArr = recentlyArr1.filter((value, index, array) => array.indexOf(value) === index).reverse();
           
            handleRecentProducts(recentlyArr);
            recentlyArr.push(productsData[0].id);
            localStorage.setItem('recentlyViewedProduct', recentlyArr);
        }else
        {
            if(productsData.length > 0)
            {
                localStorage.setItem('recentlyViewedProduct', productsData[0].id);
            }
        }
        
        
        
    },[productsData.length]);

  
    var settings = {
        dots: false,
        arrows:true,
        infinite: false,
        loop:true,
        autoplay:true,
        slidesToShow: 4,
        slidesToScroll: 1,
        draggable: false,
        responsive: [
            {
                breakpoint: 1024,
                settings: {
                    slidesToShow: 3
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1
                }
            },
        ]
    };

    return ((recentProductsData && recentProductsData.length > 0) ? 
        <section className={styles.root}>
            <div className="products recent-products">
                <div className={styles.wrapper}>
                    <h2 className="title-main">Recently Viewed</h2>
                    <div className="recently-viewed-inner-section">
                        <div className="recently-viewed-inner">
                            <ul className="products columns-3">
                                <Slider {...settings}>
                                {
                                    productsData.length > 0 && recentProductsData.map((recentProductsItem,index) => {
                                        return ((recentProductsItem.name != productsData[0].name) ? <li key={index} className='single-slide'>
                                        <div className="product">
                                            <div className="product-block">
                                                <Link href={UrlReplace(recentProductsItem.permalink)}>
                                                    <Image className="img" sizes='100vw' src={recentProductsItem.images[0].src} alt={recentProductsItem.name} width={300} height={300}/> 
                                                </Link>
                                            </div>
                                        </div>
                                    </li> : '') })
                                } 

                                </Slider>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section> : ''
  );
};

export default RecentlyViewed;
