import ClassName from 'models/classname';
import Image from 'next/image'
import styles from './Title.module.scss';

const Title = ({ className, title, thumbnail }) => {
  const titleClassName = new ClassName(styles.title);

  titleClassName.addIf(className, className);

  return (
    <div className={titleClassName.toString()}>
      {thumbnail && <Image height={100} width={100} src={thumbnail.url} alt="thumbnail" aria-hidden="true" />}
      <span>{title}</span>
    </div>
  );
};

export default Title;
