import React from "react";
import Link from 'next/link';
import Image from 'next/image'
import UrlReplace from "../Common/UrlReplace";
import styles from '../../styles/about/Mainbanner.module.scss';

const MainBanner = ({ aboutUsResponse }) => {


  return (
    <section className={styles.root}>
      <div className={styles.wrapper}>
        <div className="page-wrapper">
          <section className="banner-section">
            <h1 className="page-tittle">{aboutUsResponse.title.rendered}</h1>
            <div className="banner-img bg-cover">
              <Image height={526} width={1440} priority className="img" src={aboutUsResponse.embedded.wpFeaturedmedia[0].mediaDetails.sizes.aboutBannerImg.sourceUrl} alt="About-us-1" />
            </div>
          </section>
          <section className="home-welcome">
            <div className="home-welcome-box for-about" dangerouslySetInnerHTML={{ __html: aboutUsResponse.content.rendered }}></div>
          </section>
          <section className="our-story-part">
            <div className="our-story-inner">

              {aboutUsResponse.acf.ourStoryList.map((ourStoryListItem, index) => {
                return <div className="our-story-block">
                  <h2 className="heading">{ourStoryListItem.sectionHeading}</h2>
                  <div className="story-img-part">
                    <div className="image-fix">
                      {
                        (ourStoryListItem.pageLink.buttonLinkType == "internal") ?
                          <Link href={UrlReplace(ourStoryListItem.pageLink.internalLink)} style={{ background: `url(${ourStoryListItem.image.sizes.aboutStoryImg})` }}>
                            <Image height={478} width={494} sizes="100vw" loading="lazy" className="img webpexpress-processed" src={ourStoryListItem.image.sizes.aboutStoryImg} alt="Our-Store-Imag" />
                          </Link>
                          :
                          <a href={ourStoryListItem.pageLink.externalLink} target="_blank" style={{ background: `url(${ourStoryListItem.image.sizes.aboutStoryImg})` }}>
                            <Image height={478} width={494} sizes="100vw" loading="lazy" className="img webpexpress-processed" src={ourStoryListItem.image.sizes.aboutStoryImg} alt="Our-Store-Imag" />
                          </a>
                      }
                    </div>
                  </div>
                  <div className="story-text-part">
                    <div className="content-center">
                      <div dangerouslySetInnerHTML={{ __html: ourStoryListItem.content }}></div>
                      {
                        (ourStoryListItem.pageLink.buttonLinkType == "internal") ?
                          <Link href={UrlReplace(ourStoryListItem.pageLink.internalLink)} className="read-more" tittle="READ MORE">{ourStoryListItem.pageLink.buttonText}</Link>
                          :
                          <a href={ourStoryListItem.pageLink.externalLink} target="_blank" className="read-more" tittle="READ MORE">{ourStoryListItem.pageLink.buttonText}</a>
                      }

                    </div>
                  </div>
                </div>
              })}

            </div>
          </section>
        </div>
      </div>
    </section>
  )
}
export default MainBanner;




