import React, { useState, useRef } from 'react';
import Image from "next/image"
import { useDispatch, useSelector } from 'react-redux';
//import '../../style/contact/contactvideo.scss';
import BannerPlaceholder from "../../assets/banner-placeholder.jpg";
import styles from '../../styles/cmspage/Contactvideo.module.scss';
import bg from '../../assets/play-icon.svg';


const ContactVideo = ({ contactUsData }) => {

    const [displayThumbImage, setDisplayThumbImage] = useState(true);

    const refs = useRef();

    const playVideo = (type) => {
        if (type == "External") {
            // refs.current.onplay();
        } else {
            refs.current.play();
            setDisplayThumbImage(false);
        }

    }

    const pauseVideo = () => {
        setDisplayThumbImage(true)
    }

    return (
        <section className={styles.root}>
            <div className="video-section">
                <div className={styles.wrapper}>
                    <div className={styles.videoBanner + " " + styles.mp4video}>
                        <div className={(displayThumbImage == true) ? "banner-img bg-cover" : "banner-img bg-cover poster-hide"} style={{ backgroundImage: `url(${((contactUsData.acf.videoThumbnail == false) ? '' : contactUsData.acf.videoThumbnail.url)})` }}>
                            <Image className="img" src={contactUsData.acf.videoThumbnail.url} alt="cfdd" width={1320} height={574} />
                        </div>
                        <div className="banner-video-wrap">
                            {((contactUsData.acf.videoType == "External") ?
                                <iframe ref={refs} width="560" height="315" src={contactUsData.acf.videoUrl} autoPlay="1" frameBorder="0" allow="autoplay; encrypted-media"></iframe>
                                :
                                <video ref={refs} width="100%" controls onClick={pauseVideo}>
                                    <source src={contactUsData.acf.fileUploadVideo.url} type="video/mp4" />
                                    Your browser does not support HTML5 video.
                                </video >
                            )}

                        </div>
                        <span onClick={() => playVideo(contactUsData.acf.videoType)} className={(displayThumbImage) ? styles.playBtn : styles.playBtn + ' ' + styles.posterHide} style={{ background: `url(${(bg.src)}) no-repeat center` }}></span>
                    </div>

                </div>
            </div>
        </section>
    );
};

export default ContactVideo;