import React, { useEffect,useState } from "react";
import axios from "axios";
import { useDispatch, useSelector } from "react-redux";
import { GoogleMap, useLoadScript } from "@react-google-maps/api";
//import '../../style/contact/mapaddress.scss';
import styles from "../../styles/cmspage/Mapaddress.module.scss";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
//import useSite from "hooks/use-site";
import { faTwitter, faInstagram, faFacebookF, faYoutube } from "@fortawesome/free-brands-svg-icons";
const MapAddress = ({}) => {
  const [headerFooterOptionData, setHeaderFooterOptionRes] = useState();
  //const { headerFooterOptionRes } = useSite();
  const containerStyle = {
    width: "570px",
    height: "753px",
  };

  const center = {
    lat: 51.517461,
    lng: -0.112837,
  };

  const { isLoaded } = useLoadScript({
    googleMapsApiKey: "AIzaSyBRPgdyoIzEnsgcSoiqgmHpSKCSAhwMd50",
  });

  const [map, setMap] = React.useState(null);

  const onLoad = React.useCallback(function callback(map) {
    // This is just an example of getting and using the map instance!!! don't just blindly copy!
    const bounds = new window.google.maps.LatLngBounds(center);
    map.fitBounds(bounds);

    setMap(map);
  }, []);

  const onUnmount = React.useCallback(function callback(map) {
    setMap(null);
  }, []);
  useEffect(()=>{
    if(!headerFooterOptionData){
      axios
      .get(process.env.API_URL + 'acf/v3/options/options?_fields=acf.address_title,acf.wwa_address,acf.wwa_phone_number,acf.wwa_email,acf.opening_hour_text,acf.opening_hours_schedule,acf.twitter_link,acf.instagram_link,acf.facebook_link,acf.youtube_link,acf.header_logos')
      .then(function (response) {
        setHeaderFooterOptionRes(response.data)
      })      
    }    
  },[])
  return (
    <section className={styles.root}>
      <div className="map-section">
        <div className="wrapper">
          <div className="map-part">
            {isLoaded ? (
              <GoogleMap
                mapContainerStyle={containerStyle}
                center={center}
                zoom={10}
                onLoad={onLoad}
                onUnmount={onUnmount}
              >
                {/* Child components, such as markers, info windows, etc. */}
                <></>
              </GoogleMap>
            ) : (
              ""
            )}
          </div>
          <div className="address-part">
            <h2>Contact Details</h2>
            { headerFooterOptionData &&
              <>
                <address>
                  <label>Address</label>
                  <div
                    dangerouslySetInnerHTML={{
                      __html: headerFooterOptionData.acf.address_title + ", " + headerFooterOptionData.acf.wwa_address,
                    }}
                  ></div>
                </address>
                <ul>
                  <li>Phone Number</li>
                  <li>
                    <a href={"tel:" + headerFooterOptionData.acf.wwa_phone_number}>
                      {headerFooterOptionData.acf.wwa_phone_number}
                    </a>
                  </li>
                </ul>
                <ul>
                  <li>Email</li>
                  <li>
                    <a href={"mailto:" + headerFooterOptionData.acf.wwa_email}>{headerFooterOptionData.acf.wwa_email}</a>
                  </li>
                </ul>
                <ul>
                  <li>{headerFooterOptionData.acf.opening_hour_text}</li>

                  {headerFooterOptionData.acf &&
                    headerFooterOptionData.acf.opening_hours_schedule.map((openingHoursItem, index) => {
                      return (
                        <label key={index}>
                          {openingHoursItem.day_name}: {openingHoursItem.day_time}
                          <br />
                        </label>
                      );
                    })}
                </ul>
                <div className="social">
                  <ul>
                    <li>
                      <a href={headerFooterOptionData.acf.twitter_link} tittle="twitter" target="_blank">
                        <FontAwesomeIcon icon={faTwitter} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionData.acf.instagram_link} tittle="instagram" target="_blank">
                        <FontAwesomeIcon icon={faInstagram} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionData.acf.facebook_link} tittle="facebook" target="_blank">
                        <FontAwesomeIcon icon={faFacebookF} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionData.acf.youtube_link} tittle="youtube-play" target="_blank">
                        <FontAwesomeIcon icon={faYoutube} />
                      </a>
                    </li>
                  </ul>
                </div>
              </>
            }
          </div>
        </div>
      </div>
    </section>
  );
};
export default MapAddress;
