import React from 'react';
import BannerCommon from '../../assets/demo-banner.png';
import { useDispatch, useSelector } from 'react-redux';
import UsersApis from "../../helper/UsersApi";
import { userPending, userSuccess, userFail } from '../../reducer/userSlice';
//import '../../style/my-account/commonloginbanner.scss';
import styles from '../../styles/myaccount/CommonLoginBanner.module.scss';


const CommonLoginBanner = ({userData}) => {

    const dispatch = useDispatch();
    const clearCookieToken = async () => {
      const logoutResponse = await UsersApis({
          endpoint: 'users/logout', method: "GET",
          params: {
              'insecure': 'cool'
          },
      });
      if (logoutResponse.status == "ok") {
          var Cookies = document.cookie.split(';');
          for (var i = 0; i < Cookies.length; i++)
              document.cookie = Cookies[i] + "=;expires=" + new Date(0).toUTCString();
          localStorage.setItem('cookieAuth', '');
          dispatch(userPending());
      }
    }

    return (
    <section className={styles.root}>
        <div className="cms-banner-login">
          <div className={styles.wrapper}>
            <div className="cms-banner-section">
                <div className="banner-text view-less-pos">
                <h2 className="page-tittle">Hi {userData && userData.displayname},</h2>      
                <span className="welcome-tag-line">Welcome to your account,</span>
                  <a onClick={clearCookieToken} className="btn-logout">Logout</a>
                </div>
            </div>
          </div>
      </div>
    </section>
  );
};

export default CommonLoginBanner;
