import React from 'react';
import  Link  from 'next/link';
import { userPending, userSuccess, userFail } from '../../reducer/userSlice';
import { useDispatch, useSelector } from 'react-redux';
import UsersApis from "../../helper/UsersApi";
//import '../../style/my-account/accountpages.scss';
import styles from '../../styles/myaccount/AccountPages.module.scss';


const WelcomeScreenMain = ({userData}) => {

    const dispatch = useDispatch();

    const clearCookieToken = async () => {

        const logoutResponse = await UsersApis({
            endpoint: 'users/logout', method: "GET",
            params: {
                'insecure': 'cool'
            },
        });
        if (logoutResponse.status == "ok") {
            var Cookies = document.cookie.split(';');
            for (var i = 0; i < Cookies.length; i++)
                document.cookie = Cookies[i] + "=;expires=" + new Date(0).toUTCString();
            localStorage.setItem('cookieAuth', '');
            dispatch(userPending());
        }
    }

    return (
    <section className={styles.root}>
        <div className="content-part">
            <div className={styles.wrapper}>
                <div className="main-content-part">
                    <div className="woocommerce">
                        <nav className="woocommerce-MyAccount-navigation">
                            <ul>
                                <li className="woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--edit-account">
                                    <Link href="/my-account/edit-account/">Dashboard</Link>
                                </li>
                                <li className="woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--edit-address">
                                    <Link href="/my-account/edit-address/">Address Book</Link>
                                </li>
                                <li className="woocommerce-MyAccount-navigation-link woocommerce-MyAccount-navigation-link--orders">
                                    <Link href="/my-account/orders/">Order History</Link>
                                </li>
                            </ul>
                        </nav>
                        <div className="woocommerce-MyAccount-content">
                            <div className="woocommerce-notices-wrapper"></div>
                            <div className='welcome-screen'>
                                <p>Hello &nbsp;
                                    <strong>{userData && userData.displayname} </strong> 
                                    (not <strong>{userData && userData.displayname} </strong>? 
                                    <a onClick={clearCookieToken}> Log out</a>)
                                </p>
                                <p>From your account dashboard you can view your 
                                    <Link href="/my-account/orders/"> recent orders</Link>, manage your 
                                    <Link href="/my-account/edit-address/"> shipping and billing addresses</Link>, and 
                                    <Link href="/my-account/edit-account/"> edit your password and account details</Link>.
                                </p>
                            </div>       
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
  );
};

export default WelcomeScreenMain;
