import React from 'react';
import Link from 'next/link';
import { InlineShareButtons } from 'sharethis-reactjs';
//import '../../style/ourexpert/ourexpertmain.scss';
//import '../../style/news/newsarticle.scss';
import styles from '../../styles/cmspage/Newsarticle.module.scss';



const NewsArticle = ({ newsDetailData }) => {

  const OnlyShareThis = (newsDetail) => {

    return (
      <InlineShareButtons
        config={{
          alignment: 'center',
          color: 'social',
          enabled: true,
          font_size: 15,
          labels: 'cta',
          language: 'en',
          networks: [
            'twitter',
            'facebook',
            'whatsapp',
            'linkedin',
            'pinterest',
            'email',
            'blogger',
            'delicious',
            'digg',
            'flipboard',
            'livejournal',
            'mailru',
            'meneame',
            'messenger',
            'oknoklassniki',
            'print',
            'reddit',
            'sharethis',
            'sms',
            'stumbleupon',
            'telegram',
            'tumblr',
            'vk',
            'wechat',
            'weibo',
            'xing',
            'blogger',
            'digg',
            'github',
            'instagram',
            'medium',
            'messenger',
            'oknoklassniki',
            'patreon',
            'pinterest',
            'quora',
            'reddit',
            'snapchat',
            'soundcloudm',
            'spotify',
            'telegram',
            'tumblr',
            'twitch',
            'vk',
            'wechat',
            'weibo',
            'yelp',
            'youtube'
          ],
          padding: 10,
          radius: 0,
          show_total: true,
          size: 40,
          url: (newsDetail.link.replace(process.env.ADMIN_URL + '/', process.env.SITE_URL)),
          image: '',
          description: newsDetail.excerpt.rendered,
          title: newsDetail.title.rendered,
          message: newsDetail.excerpt.rendered,
          subject: newsDetail.title.rendered,
        }}
      />
    )
  }

  return (
    <section className={styles.root}>
      <div className="article-top-section">
        <div className={styles.wrapper}>
          <div className="inner-container">
            <div dangerouslySetInnerHTML={{ __html: newsDetailData.content.rendered }}></div>


            <div className="next-prev-button">
              <div className='share-icons'> {OnlyShareThis(newsDetailData)} </div>
              {((newsDetailData.next != null) ? <Link href={'/' + newsDetailData.next.slug} className="prev 16495">Previous Article</Link> : '')}
              {((newsDetailData.previous != null) ? <Link href={'/' + newsDetailData.previous.slug} className="next">Next Article</Link> : '')}
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default NewsArticle;
