import React from "react";
import { useSelector } from "react-redux";
import useSite from "hooks/use-site";
import Link from "next/link";
import Image from "next/image";
import UrlReplace from "../Common/UrlReplace";
import styles from "../../styles/components/Storemaker.module.scss";

const StoreMakerNews = ({ sitemapResponse }) => {
  return (
    <div className={styles.ourStorySection + " " + styles.newsStorySection}>
      <div className={styles.wrapper}>
        <div className={styles.bgColorSection}>
          <div className={styles.threeBlockSection}>
            {sitemapResponse &&
              sitemapResponse.acf.aboutList.map((aboutListItem, index) => {
                return (
                  <div key={index} className={styles.mainBlock}>
                    <div className={styles.block}>
                      <div className={styles.imagePart}>
                        {aboutListItem.pageLink.buttonLinkType == "internal" ? (
                          <Link href={UrlReplace(aboutListItem.pageLink.internalLink)} className="image-hover-link">
                            <Image
                              width={200}
                              height={200}
                              className="img"
                              src={aboutListItem.sectionImage.sizes.homeAboutBlogsImage}
                              alt={"General-Image-" + Number(index + 1)}
                            />
                          </Link>
                        ) : (
                          <a href={aboutListItem.pageLink.externalLink} target="_blank" className="image-hover-link">
                            <Image
                              width={200}
                              height={200}
                              className="img"
                              src={aboutListItem.sectionImage.sizes.homeAboutBlogsImage}
                              alt={"General-Image-" + Number(index + 1)}
                            />
                          </a>
                        )}
                      </div>
                      <div className={styles.textPart}>
                        {aboutListItem.pageLink.buttonLinkType == "internal" ? (
                          <Link href={UrlReplace(aboutListItem.pageLink.internalLink)}>
                            <h2>{aboutListItem.pageLink.buttonText}</h2>
                          </Link>
                        ) : (
                          <a href={aboutListItem.pageLink.externalLink} target="_blank">
                            <h2>{aboutListItem.pageLink.buttonText}</h2>
                          </a>
                        )}

                        <p>{aboutListItem.content}</p>
                      </div>
                    </div>
                  </div>
                );
              })}
          </div>
        </div>
      </div>
    </div>
  );
};

export default StoreMakerNews;
