import React from 'react';
import Link from 'next/link';
import Image from "next/image"
import Modal from 'react-modal';
import closeIcon from '../../../public/images/closeBtn.svg';
import styles from '../../styles/popUp.module.scss';

const AddToBasket = (props) => {
    const { modalIsOpen, closeModal, productData } = props;

    return (
        <section className={styles.root}>
            <Modal
                isOpen={modalIsOpen}
                onRequestClose={closeModal}
                contentLabel="Example Modal">
                <div className="product-popup-content">
                    <span className="close-btn" onClick={closeModal}>
                        <Image src={closeIcon} height={20} width={20} alt='image' />
                    </span>
                    <div className="popup-body" id="home-popup-body">
                        <div className="img-col">
                            <div>
                                <Image src={(productData.images) ? productData.images[0].src : productData.image} width={300} height={450} sizes='100vw' alt='image' />
                            </div>
                        </div>
                        <div className="content-col">
                            <div className="added-cart-lable">
                                <h4>Added to basket</h4>
                            </div>
                            <div className="title">
                                <h3>{productData && productData.name}</h3>
                                <div className="price">£ {productData && productData.price}</div>
                            </div>
                            <div className="popup-btn">
                                <Link href="/shop" className="button shopping-btn">CONTINUE SHOPPING</Link>
                                <Link href="/basket" className="button view-basket-btn">VIEW BASKET</Link>
                            </div>
                        </div>
                    </div>
                </div>
            </Modal>
        </section>
    );
};

export default React.memo(AddToBasket);
