import React, { useState, useEffect } from 'react';
import Modal from 'react-modal';

const CheckoutInstructions = (props) => {
    const { modalIsOpen, closeModal, productData } = props;

    return (

        <Modal
            isOpen={modalIsOpen}
            onRequestClose={closeModal}
            className="delivery-instructions"
            overlayClassName="overlay-black"
            contentLabel="Example Modal" >
            <div className="product-popup-content">
                <span className="close-btn" onClick={closeModal}>×</span>
                <h1>Delivery Information</h1>
                <div className="pum-content popmake-content" tabindex="0">
                    <p>We provide worldwide postage/shipping and everything is fully tracked and insured. Purchases will be sent via Royal Mail Special Delivery, FedEx, Parcel Force, A-Z couriers; other delivery providers may be used in extenuating circumstances. We deliver to the address provided at the time of purchase but not to PO addresses, as a signature is required upon delivery.</p>
                    <p>Some countries levy import duties and local taxes. Payment of these is the purchaser’s responsibility and beyond the control of William Walter Antiques Ltd. When the container has reached the destination country, a customs representative will contact you for payment prior to delivery.</p>
                    <p>Import restrictions are applicable to some destinations, especially the import of products containing materials such as ivory and tortoiseshell. We cannot accept orders requiring shipment to any countries which implement such controls.</p>
                    <p>All items are checked and photographed prior to packaging, and we aim to dispatch 1-3 days after receiving cleared payment.</p>
                </div>
            </div>
        </Modal>
    );
};

export default React.memo(CheckoutInstructions);
