import React from "react";
import Slider from "react-slick";
import Image from "next/image";
//import '../../style/store/StoreBanner.scss';
import styles from "../../styles/cmspage/StoreBanner.module.scss";

var settings = {
  dots: false,
  arrow: true,
  autoplay: false,
  infinite: true,
  speed: 500,
  slidesToShow: 1,
  slidesToScroll: 1,
};

const StoreBanner = ({ ourStoreData }) => {
  return (
    <section className={styles.root}>
      <section className="our-store-cms-banner">
        <div className="wrapper">
          <div className="our-store-section">
            <div className="text-heading-part">
              <div className="text-side-inner">{ourStoreData.title.rendered}</div>
            </div>
            <div className="top-right-slider">
              <div className="slick-carousel">
                <div className="slider-group">
                  <Slider {...settings}>
                    {ourStoreData.acf.storeSlider.map((storeSliderItem, index) => {
                      return (
                        <div key={index}>
                          {storeSliderItem.sliderType == "Image" ? (
                            <div className="slider-img">
                              <Image sizes="100vw" height={620} width={1077} priority src={storeSliderItem.image.url} alt="store" />
                            </div>
                          ) : storeSliderItem.videoType == "External" ? (
                            <div className="iframe-style">
                              <iframe
                                src={storeSliderItem.videoUrl}
                                title="YouTube video player"
                                frameBorder="0"
                                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
                                allowFullScreen
                              ></iframe>
                            </div>
                          ) : (
                            <div className="video-style">
                              <video controls object-fit="none">
                                <source src={storeSliderItem.fileUpload.url} type="video/mp4" />
                                Your browser does not support the video tag.
                              </video>
                            </div>
                          )}
                        </div>
                      );
                    })}
                  </Slider>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </section>
  );
};

export default StoreBanner;
