import Link from "next/link";
import useSite from "hooks/use-site";
//import '../../style/store/StoreInfo.scss';
import styles from "../../styles/cmspage/StoreInfo.module.scss";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faTwitter, faInstagram, faFacebookF, faYoutube } from "@fortawesome/free-brands-svg-icons";

const StoreInfo = ({ ourStoreData,headerFooterOptionRes }) => {
  return headerFooterOptionRes? (
    <section className={styles.root}>
      <div className="our-store-info">
        <div className={styles.wrapper}>
          <div className="ourstore-inner-part">
            <div className="ourstore-left-part">
              <div
                className="ourstore-left-text"
                dangerouslySetInnerHTML={{ __html: ourStoreData.content.rendered }}
              ></div>
            </div>
            <div className="ourstore-contact-part">
              <div className="address-part">
                <h2>Visit Us</h2>
                <address>
                  <label>Address</label>
                  <div
                    dangerouslySetInnerHTML={{
                      __html: headerFooterOptionRes.acf.addressTitle + ", " + headerFooterOptionRes.acf.wwaAddress,
                    }}
                  ></div>
                </address>
                <ul>
                  <li>Phone Number</li>
                  <li>
                    <a href={"tel:" + headerFooterOptionRes.acf.wwaPhoneNumber}>
                      {headerFooterOptionRes.acf.wwaPhoneNumber}
                    </a>
                  </li>
                </ul>
                <ul>
                  <li>Email</li>
                  <li>
                    <a href={"mailto:" + headerFooterOptionRes.acf.wwaEmail}>{headerFooterOptionRes.acf.wwaEmail}</a>
                  </li>
                </ul>
                <ul>
                  <li>{headerFooterOptionRes.acf.openingHourText}</li>
                  {headerFooterOptionRes.acf &&
                    headerFooterOptionRes.acf.openingHoursSchedule.map((openingHoursItem, index) => {
                      return (
                        <label key={index}>
                          {openingHoursItem.dayName}: {openingHoursItem.dayTime}
                          <br />
                        </label>
                      );
                    })}
                </ul>
                <div className="social">
                  <ul>
                    <li>
                      <a href={headerFooterOptionRes.acf.twitterLink} tittle="twitter" target="_blank">
                        <FontAwesomeIcon icon={faTwitter} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionRes.acf.instagramLink} tittle="instagram" target="_blank">
                        <FontAwesomeIcon icon={faInstagram} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionRes.acf.facebookLink} tittle="facebook" target="_blank">
                        <FontAwesomeIcon icon={faFacebookF} />
                      </a>
                    </li>
                    <li>
                      <a href={headerFooterOptionRes.acf.youtubeLink} tittle="youtube-play" target="_blank">
                        <FontAwesomeIcon icon={faYoutube} />
                      </a>
                    </li>
                  </ul>
                </div>

                <p>{ourStoreData.acf.contactUsContent}</p>
                <h3>
                  <Link href="/contact-us">CONTACT US</Link>
                </h3>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  ) :"";
};

export default StoreInfo;
