import React from 'react';
import {useStripe, useElements, PaymentElement} from '@stripe/react-stripe-js';

const CheckoutForm = () => {

  const stripe = useStripe();
  const elements = useElements();

  const handleSubmit = async (event) => {
    
    event.preventDefault();
    if (!stripe || !elements) {
      return;
    }
    
    const result = await stripe.confirmPayment({
      elements,
      redirect: 'if_required',
      confirmParams: {
        return_url: 'https://wwareact.cda-development3.co.uk/',
      },
    });

    if (result.error) {
      alert(result.error.message);
    } 
    else {
      alert('Payment Success');
      location.reload();
    }
  };

  return (
    <>
      <form onSubmit={handleSubmit}>
        <PaymentElement />
        <br />
      <center> <button className="btn btn-primary btn-continue" disabled={!stripe}>Submit</button> </center>  
      </form>
    </>
  )
};

export default CheckoutForm;
