import axios from "axios";

const AddressApi = ({
    endpoint,
    method = "GET",
    params = {},
    body = undefined
}) => {
    const searchParams = new URLSearchParams(params)
    return new Promise((resolve, reject) => {
        axios(
            `${process.env.API_URL}${endpoint}?${searchParams}`,
            {
                method,
                credentials: "include",
                body: body && JSON.stringify(body),
                headers: body && {
                    "Content-Type": "application/json"
                }
            }
        ).then((response) => response.data)
            .then((result) => {
                return resolve(result);
            }).catch((err) => {
                return reject(err);
            })
    });
}
//testing
export default AddressApi