import axios from "axios";

const storeApi = ({
    endpoint,
    method,
    params = {},
    body = undefined
}) => {
    const searchParams = new URLSearchParams(params)
    return new Promise((resolve, reject) => {
        axios(
            `${process.env.STORE_URL}${endpoint}?${searchParams}`,
            {
                method,
               // mode: "same-origin",
                withCredentials: true,
               //credentials: 'include',
              // crossdomain: true,
                body: body && JSON.stringify(body),               
                headers: body && {
                    //'Access-Control-Allow-Origin': '*',
                    'Content-Type': 'application/json',
                }
            }
        ).then((response) => response.data)

            .then((result) => {
                if (result.data && result.data.status == 400) {
                    return resolve({ error: result.message, status: false });
                } else {
                    return resolve(result);
                }
            }).catch((err) => {
                console.log(err);
                return reject(err);
            })
    });
    // const result = await response.json()
    // return result
}

export default storeApi