
import axios from "axios";

const UsersApis = ({
    endpoint,
    method = "GET",
    params = {},
    body = undefined
}) => {
    const searchParams = new URLSearchParams(params)
    return new Promise((resolve, reject) => {
        axios(
            `${process.env.USER_API_URL}${endpoint}?${searchParams}`,
            {
               // mode: 'no-cors',
               method,
               //async: true,
               //crossDomain: true,
                credentials: "include",
                body: body && JSON.stringify(body),
                headers: body && {
                    "Content-Type": "application/json",
                }
            }
        ).then((response) => response.data)
            .then((result) => {
                // if (result.data && result.data.status == 400) {
                //     alert(result.message)
                // } else {
                //     return resolve(result);
                // }

                return resolve(result);
            }).catch((err) => {
                console.log(err);
                return reject(err);
            })
    });
    // const result = await response.json()
    // return result
}

export default UsersApis
