import { configureStore, combineReducers } from "@reduxjs/toolkit";
import { createStore, applyMiddleware } from "redux";
import logger from "redux-logger";

import headerMenuSlice from "../reducer/headerMenuSlice";
import topMenuSlice from "../reducer/topMenuSlice";
import footerMenuSlice from "../reducer/footerMenuSlice";
//import generalSettingsSlice from '../reducer/generalSettingsSlice';
import homeSlice from "../reducer/homeSlice";
import aboutUsSlice from "../reducer/aboutUsSlice";
import newsSlice from "../reducer/newsSlice";
import categoriesSlice from "../reducer/categoriesSlice";
import ourExpertSlice from "../reducer/ourExpertSlice";
import woocommerceSlice from "../reducer/woocommerceSlice";
import userSlice from "../reducer/userSlice";
import contactUsSlice from "../reducer/contactUsSlice";
import productCategoriesSlice from "../reducer/productCategoriesSlice";

const middlewares = [logger];

const rootReducer = combineReducers({
  headerMenu: headerMenuSlice,
  topMenu: topMenuSlice,
  footerMenu: footerMenuSlice,
  //generalSettings: generalSettingsSlice,
  homePage: homeSlice,
  aboutUsPage: aboutUsSlice,
  newsPage: newsSlice,
  categoriesPage: categoriesSlice,
  ourExpertPage: ourExpertSlice,
  woocommerce: woocommerceSlice,
  user: userSlice,
  contactUsPage: contactUsSlice,
  productCategories: productCategoriesSlice,
});

// const rootReducer = (state, action) => {
//   return combinedReducer(state, action);
// };

// export const store = configureStore({
//   reducer: rootReducer,
//   middleware: getDefaultMiddleware => getDefaultMiddleware(),
// });
const store = createStore(rootReducer, applyMiddleware(...middlewares));
export default store;
