import dynamic from "next/dynamic";
import { fetchPagesById } from '../services';
import HelmetComponent from '../helmet';
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const StayTouch = dynamic(() => import("../components/Home/StayTouch"));
const StoreMaker = dynamic(() => import("../components/Home/StoreMaker"));
const AboutBreadcrumb = dynamic(() => import("../components/about/AboutBreadcrumb"));
import Layout from 'components/Layout';
import styles from "../styles/height.module.scss";
import MainBanner from "../components/about/mainbanner";
import PageMetaData from "lib/pageMetaData";
const AboutUs = ({ aboutUsResponse, yoastMetaData }) => {
  return (
    <Layout>
      <>
        <PageMetaData yoastHeadJson={yoastMetaData} />
        <AboutBreadcrumb breadcrumbMenu={[{ title: "Home", link: '/' }, { title: "About Us", link: '' }]} />
        <div className={styles.heightAdjust}>
          <MainBanner aboutUsResponse={aboutUsResponse} />
          <StayTouch page="about-us" />
          <StoreMaker page="about-us" />
          {/* <InstagramFeed page="about" />  */}
        </div>

      </>
    </Layout>
  );
};

export default AboutUs;

export async function getServerSideProps() {
  const aboutUsResponse = await fetchPagesById('421');
  const yoastMetaData = aboutUsResponse && aboutUsResponse.yoastHeadJson && aboutUsResponse.yoastHeadJson
  return {
    props: {
      aboutUsResponse,
      yoastMetaData
    }
  }
}
