import dynamic from "next/dynamic";
import { fetchPagesById } from '../services';
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
import MainBannerContact from '../components/contact/MainBannerContact';
const ContactForm = dynamic(() => import("../components/contact/ContactForm"));
const ContactVideo = dynamic(() => import("../components/contact/ContactVideo"));
const MapAddress = dynamic(() => import("../components/contact/MapAddress"));
import Layout from 'components/Layout';
import PageMetaData from "lib/pageMetaData";

const ContactUs = ({ contactUsData }) => {


  return (
    <Layout>
      <PageMetaData yoastHeadJson={contactUsData.yoastHeadJson} />
      <MainBannerContact contactUsData={contactUsData} />
      <ContactForm contactUsData={contactUsData} />
      <ContactVideo contactUsData={contactUsData} />
      <MapAddress contactUsData={contactUsData} />
      {/* <InstagramFeed /> */}
    </Layout>
  );
};

export default ContactUs;
export async function getServerSideProps() {
  const contactUsResponse = await fetchPagesById('398');
  const contactUsData = contactUsResponse && contactUsResponse
  return {
    props: {
      contactUsData
    },
  };
}