import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
import StoreMakerNews from "../components/news/StoreMakerNews";
//import InstagramFeed from '../components/home/InstagramFeed';
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
const CommanCms = dynamic(() => import("../components/Common/CmsPage"));
import MainBannerTitle from "../components/Common/MainBannerTitle";
import Layout from "components/Layout";
import PageMetaData from "lib/pageMetaData";

const CookiesPolicy = ({ policyResponse, optionData }) => {
  return (
    <Layout>
      <PageMetaData yoastHeadJson={policyResponse.yoastHeadJson} />
      <MainBannerTitle DetailData={policyResponse} optionData={optionData} />
      <Breadcrumb
        breadcrumbMenu={[
          { title: "Home", link: "/" },
          { title: "Cookies Policy", link: "" },
        ]}
      />
      <CommanCms CommanCms={policyResponse} />
      <StoreMakerNews sitemapResponse={optionData} />
      {/* <InstagramFeed />  */}
    </Layout>
  );
};

export default CookiesPolicy;

export async function getServerSideProps() {
  const optionData = await fetchOptionByParams("acf.about_list,acf.default_banner_image");
  const policyResponse = await fetchPagesById("805");
  return {
    props: {
      policyResponse,
      optionData,
    },
  };
}
