import dynamic from "next/dynamic";
import React from "react";
import { fetchPagesById, fetchOptionByParams } from "../services";
import HelmetComponent from "../helmet";
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
const CommanCms = dynamic(() => import("../components/Common/CmsPage"));
const Socialicon = dynamic(() => import("../components/Common/SocialIcon"));
import MainBannerTitle from "../components/Common/MainBannerTitle";
import Layout from "components/Layout";

const DeliveryReturn = ({ deliveryResponse }) => {
  return (
    <Layout>
      <>
        <HelmetComponent yoastHeadJson={deliveryResponse.yoastHeadJson} />
        <MainBannerTitle DetailData={deliveryResponse} />
        <Breadcrumb
          breadcrumbMenu={[
            { title: "Home", link: "/" },
            { title: "Delivery Returns", link: "" },
          ]}
        />
        <CommanCms CommanCms={deliveryResponse} />
        <Socialicon CommanCms={deliveryResponse} />
        {/* <InstagramFeed />  */}
      </>
    </Layout>
  );
};

export default DeliveryReturn;

export async function getServerSideProps() {
  const optionData = await fetchOptionByParams("acf.default_banner_image");
  const deliveryResponse = await fetchPagesById("819");
  return {
    props: {
      deliveryResponse,
      optionData,
    },
  };
}
