import dynamic from "next/dynamic";
import { fetchPageAcf, fetchPagesById, fetchLatestNews } from '../services';
import BannerSlider from '../components/Home/BannerSlider';
const NewArrival = dynamic(() => import("../components/Home/NewArrival"));
const StayTouch = dynamic(() => import("../components/Home/StayTouch"));
const StoreMaker = dynamic(() => import("../components/Home/StoreMaker"));
const LatestNews = dynamic(() => import("../components/Home/LatestNews"));
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));

import Layout from 'components/Layout';
import PageMetaData from "lib/pageMetaData";

export default function Home({ topBanner, yoastMetaData }) {

  return (
    <Layout>
      <>
        <PageMetaData yoastHeadJson={yoastMetaData} />
        <BannerSlider topBanner={topBanner} />
        <NewArrival topBanner={topBanner} />
        <StayTouch page="home" />
        <StoreMaker page="home" />
        <LatestNews />
        {/* <InstagramFeed page="home" /> */}
      </>
    </Layout>
  );
}
export async function getServerSideProps() {
  const topBanner = await fetchPageAcf("?_fields=acf.video_or_slider,acf.slider_duration,acf.image_slider,acf.video_type,acf.select_video_from_library,acf.embade_external_video,acf.welcome_section_title,acf.welcome_section_content,yoast_head_json,acf.new_arrivals_link,acf.new_arrivals_title,acf.new_arrivals_content&slug=home");
  const yoastMetaData = topBanner && topBanner[0].yoastHeadJson && topBanner[0].yoastHeadJson
  return {
    props: {
      topBanner,
      yoastMetaData
    }
  }
}
