import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
import HelmetComponent from "../helmet";
import OurExpertMain from "../components/our-expert/ourexpertmain";
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
const OurExpertTeam = dynamic(() => import("../components/our-expert/OurExpertTeam"));
//import '../style/commonloader.scss'
import Layout from "components/Layout";
import styles from "../styles/height.module.scss";
import PageMetaData from "lib/pageMetaData";

const OurExpert = ({ homeResponse, optionData }) => {
  return (
    <Layout>
      <>
        {homeResponse ? <PageMetaData yoastHeadJson={homeResponse.yoastHeadJson} /> : ""}
        <div className={styles.heightAdjust}>
          <OurExpertMain optionData={optionData} homeResponse={homeResponse} />
          <Breadcrumb
            breadcrumbMenu={[
              { title: "Home", link: "/" },
              { title: "Our Expert", link: "" },
            ]}
          />
          <OurExpertTeam optionData={optionData} />
        </div>
        {/* <InstagramFeed /> */}
      </>
    </Layout>
  );
};
export default OurExpert;

export async function getServerSideProps() {
  const homeResponse = await fetchPagesById("321");
  const optionData = await fetchOptionByParams("acf.default_banner_image,acf.expert_default_image");
  return {
    props: {
      homeResponse,
      optionData,
    },
  };
}
