import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
import StoreBanner from "../components/store/StoreBanner";
const StoreInfo = dynamic(() => import("../components/store/StoreInfo"));
const StoreMakerExpert = dynamic(() => import("../components/Common/StoreMakerExpert"));
const NewArrivalOurStore = dynamic(() => import("../components/store/NewArrivalOurStore"));
const StayTouch = dynamic(() => import("../components/Home/StayTouch"));
const AboutBreadcrumb = dynamic(() => import("../components/about/AboutBreadcrumb"));
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
//const FulllPageLoader = dynamic(() => import("../components/Common/FulllPageLoader"));
import Layout from "components/Layout";
import PageMetaData from "lib/pageMetaData";

const OurStore = ({ ourStoreResponse, headerFooterOptionRes }) => {
  return (
    <Layout>
      <>
        <PageMetaData yoastHeadJson={ourStoreResponse.yoastHeadJson} />
        <AboutBreadcrumb
          breadcrumbMenu={[
            { title: "Home", link: "/" },
            { title: "Our Store", link: "" },
          ]}
        />
        <StoreBanner ourStoreData={ourStoreResponse} />

        <StoreInfo ourStoreData={ourStoreResponse} headerFooterOptionRes={headerFooterOptionRes} />
        <NewArrivalOurStore ourStoreData={ourStoreResponse} />
        <StayTouch page="our-store" />
        <StoreMakerExpert />
      </>
    </Layout>
  );
};

export default OurStore;

export async function getServerSideProps() {
  const ourStoreResponse = await fetchPagesById("363");
  const headerFooterOptionRes = await fetchOptionByParams(
    "acf.address_title,acf.wwa_address,acf.wwa_phone_number,acf.wwa_email,acf.opening_hour_text,acf.opening_hours_schedule,acf.twitter_link,acf.instagram_link,acf.facebook_link,acf.youtube_link,acf.header_logos",
  );
  return {
    props: {
      ourStoreResponse,
      headerFooterOptionRes
    },
  };
}
