import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
const StoreMakerNews = dynamic(() => import("../components/news/StoreMakerNews"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const CommanCms = dynamic(() => import("../components/Common/CmsPage"));
import MainBannerTitle from "../components/Common/MainBannerTitle";
import Layout from "components/Layout";
import PageMetaData from "lib/pageMetaData";

const PrivacyPolicy = ({ policyResponse, aboutList }) => {
  return (
    <Layout>
      <>
        <PageMetaData yoastHeadJson={policyResponse.yoastHeadJson} />
        <MainBannerTitle DetailData={policyResponse} />
        <Breadcrumb
          breadcrumbMenu={[
            { title: "Home", link: "/" },
            { title: "Privacy Policy", link: "" },
          ]}
        />
        <CommanCms CommanCms={policyResponse} />
        <StoreMakerNews sitemapResponse={aboutList} />
        {/* <InstagramFeed />  */}
      </>
    </Layout>
  );
};

export default PrivacyPolicy;

export async function getServerSideProps() {
  const aboutList = await fetchOptionByParams("acf.about_list");
  const policyResponse = await fetchPagesById("546");
  return {
    props: {
      policyResponse,
      aboutList,
    },
  };
}
