import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
import HelmetComponent from "../helmet";
const StoreMakerNews = dynamic(() => import("../components/news/StoreMakerNews"));
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
const CommanCms = dynamic(() => import("../components/Common/CmsPage"));
import MainBannerTitle from "../components/Common/MainBannerTitle";
import Layout from "components/Layout";

const SiteMap = ({ sitemapResponse, aboutList }) => {
  return (
    <Layout>
      <>
        <HelmetComponent yoastHeadJson={sitemapResponse.yoastHeadJson} />
        <MainBannerTitle DetailData={sitemapResponse} />
        <Breadcrumb
          breadcrumbMenu={[
            { title: "Home", link: "/" },
            { title: "Sitemap", link: "" },
          ]}
        />
        <CommanCms CommanCms={sitemapResponse} />
        <StoreMakerNews sitemapResponse={aboutList} />
        {/* <InstagramFeed />  */}
      </>
    </Layout>
  );
};

export default SiteMap;

export async function getServerSideProps() {
  const sitemapResponse = await fetchPagesById("785");
  const aboutList = await fetchOptionByParams("acf.about_list");
  return {
    props: {
      sitemapResponse,
      aboutList,
    },
  };
}
