import dynamic from "next/dynamic";
import { fetchPagesById, fetchOptionByParams } from "../services";
const StoreMakerNews = dynamic(() => import("../components/news/StoreMakerNews"));
//const InstagramFeed = dynamic(() => import("../components/Home/InstagramFeed"));
const Breadcrumb = dynamic(() => import("../components/Common/breadcrumb"));
const CommanCms = dynamic(() => import("../components/Common/CmsPage"));
import MainBannerTitle from "../components/Common/MainBannerTitle";
import Layout from "components/Layout";

const TermsAndConditions = ({ termResponse, aboutList }) => {
  return (
    <Layout>
      <>
        {/*  <HelmetComponent yoastHeadJson={DetailData.yoastHeadJson} /> */}
        <MainBannerTitle DetailData={termResponse} />
        <Breadcrumb
          breadcrumbMenu={[
            { title: "Home", link: "/" },
            { title: "TERMS & CONDITIONS", link: "" },
          ]}
        />
        <CommanCms CommanCms={termResponse} />
        <StoreMakerNews sitemapResponse={aboutList} />
        {/* <InstagramFeed />  */}
      </>
    </Layout>
  );
};

export default TermsAndConditions;

export async function getServerSideProps() {
  const aboutList = await fetchOptionByParams("acf.about_list");
  const termResponse = await fetchPagesById("806");
  return {
    props: {
      termResponse,
      aboutList,
    },
  };
}
