import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  aboutUsIsLoading: true,
  aboutUsData: [],
  aboutUsError: '',
};

const aboutUsSlice = createSlice({
  name: 'aboutUs',
  initialState,
  reducers: {
    aboutUsPending: state => {
      state.aboutUsIsLoading = true;
      state.aboutUsError = '';
    },
    aboutUsSuccess: (state, { payload }) => {
      state.aboutUsIsLoading = false;
      state.aboutUsData = payload;
    },
    aboutUsFail: (state, { payload }) => {
      state.aboutUsIsLoading = false;
      state.aboutUsError = payload;
    },
  },
});

const { reducer, actions } = aboutUsSlice;

export const { aboutUsPending, aboutUsSuccess, aboutUsFail } = actions;

export default reducer;
