import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  contactUsIsLoading: true,
  contactUsData: [],
  contactUsError: '',
};

const contactUsSlice = createSlice({
  name: 'contactUs',
  initialState,
  reducers: {
    contactUsPending: state => {
      state.contactUsIsLoading = true;
      state.contactUsError = '';
    },
    contactUsSuccess: (state, { payload }) => {
      state.contactUsIsLoading = false;
      state.contactUsData = payload;
    },
    contactUsFail: (state, { payload }) => {
      state.contactUsIsLoading = false;
      state.contactUsError = payload;
    },
  },
});

const { reducer, actions } = contactUsSlice;

export const { contactUsPending, contactUsSuccess, contactUsFail } = actions;

export default reducer;
