import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  footerIsLoading: true,
  footerFirstMenuData: [],
  footerSecondMenuData: [],
  footerError: '',
};

const footerMenuSlice = createSlice({
  name: 'footerMenu',
  initialState,
  reducers: {
    footerMenuPending: state => {
      state.footerIsLoading = true;
      state.footerError = '';
    },
    footerMenuSuccess: (state, { payload }) => {
      state.footerIsLoading = false;
      if(payload.slug == 'footer-menu-1')
      {
        state.footerFirstMenuData = payload;
      }else
      {
        state.footerSecondMenuData = payload;
      }
    },
    footerMenuFail: (state, { payload }) => {
      state.footerIsLoading = false;
      state.footerError = payload;
    },
  },
});

const { reducer, actions } = footerMenuSlice;

export const { footerMenuPending, footerMenuSuccess, footerMenuFail } = actions;

export default reducer;
