import { createSlice } from "@reduxjs/toolkit";

const initialState = {
  generalSettingsIsLoading: true,
  generalSettingsData: [],
  generalSettingsError: "",
};

const generalSettingsSlice = createSlice({
  name: "generalSettings",
  initialState,
  reducers: {
    generalSettingsPending: (state) => {
      state.generalSettingsIsLoading = true;
      state.generalSettingsError = "";
    },
    generalSettingsSuccess: (state, { payload }) => {
      state.generalSettingsIsLoading = false;
      state.generalSettingsData = payload;
    },
    generalSettingsFail: (state, { payload }) => {
      state.generalSettingsIsLoading = false;
      state.generalSettingsError = payload;
    },
  },
});

const { reducer, actions } = generalSettingsSlice;

export const { generalSettingsPending, generalSettingsSuccess, generalSettingsFail } = actions;

export default reducer;
