import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  headerIsLoading: true,
  headerMenuData: [],
  headerError: '',
};

const headerMenuSlice = createSlice({
  name: 'headerMenu',
  initialState,
  reducers: {
    headerMenuPending: state => {
      state.headerIsLoading = true;
      state.headerError = '';
    },
    headerMenuSuccess: (state, { payload }) => {
      state.headerIsLoading = false;
      state.headerMenuData = payload;
    },
    headerMenuFail: (state, { payload }) => {
      state.headerIsLoading = false;
      state.headerError = payload;
    },
  },
});

const { reducer, actions } = headerMenuSlice;

export const { headerMenuPending, headerMenuSuccess, headerMenuFail } = actions;

export default reducer;
