import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  homeIsLoading: true,
  homeData: [],
  homeError: '',
};

const homeSlice = createSlice({
  name: 'home',
  initialState,
  reducers: {
    homePending: state => {
      state.homeIsLoading = true;
      state.homeError = '';
    },
    homeSuccess: (state, { payload }) => {
      state.homeIsLoading = false;
      state.homeData = payload;
    },
    homeFail: (state, { payload }) => {
      state.homeIsLoading = false;
      state.homeError = payload;
    },
  },
});

const { reducer, actions } = homeSlice;

export const { homePending, homeSuccess, homeFail } = actions;

export default reducer;
