import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  newsIsLoading: true,
  newsData: [],
  newsError: '',
};

const newsSlice = createSlice({
  name: 'news',
  initialState,
  reducers: {
    newsPending: state => {
      state.newsIsLoading = true;
      state.newsError = '';
    },
    newsSuccess: (state, { payload }) => {
      state.newsIsLoading = false;
      state.newsData = payload;
    },
    newsFail: (state, { payload }) => {
      state.newsIsLoading = false;
      state.newsError = payload;
    },
  },
});

const { reducer, actions } = newsSlice;

export const { newsPending, newsSuccess, newsFail } = actions;

export default reducer;
