import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  ourExpertIsLoading: true,
  ourExpertData: [],
  ourExpertError: '',
};

const ourExpertSlice = createSlice({
  name: 'ourExpert',
  initialState,
  reducers: {
    ourExpertPending: state => {
      state.ourExpertIsLoading = true;
      state.ourExpertError = '';
    },
    ourExpertSuccess: (state, { payload }) => {
      state.ourExpertIsLoading = false;
      state.ourExpertData = payload;
    },
    ourExpertFail: (state, { payload }) => {
      state.ourExpertIsLoading = false;
      state.ourExpertError = payload;
    },
  },
});

const { reducer, actions } = ourExpertSlice;

export const { ourExpertPending, ourExpertSuccess, ourExpertFail } = actions;

export default reducer;
