import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  categoriesIsLoading: true,
  categoriesData: [],
  categoriesError: '',
};

const productCategoriesSlice = createSlice({
  name: 'productcat',
  initialState,
  reducers: {
    categoriesPending: state => {
      state.categoriesIsLoading = true;
      state.categoriesError = '';
    },
    categoriesSuccess: (state, { payload }) => {
      state.categoriesIsLoading = false;
      state.categoriesData = payload;
    },
    categoriesFail: (state, { payload }) => {
      state.categoriesIsLoading = false;
      state.categoriesError = payload;
    },
  },
});

const { reducer, actions } = productCategoriesSlice;

export const { categoriesPending, categoriesSuccess, categoriesFail } = actions;

export default reducer;
