import { createSlice } from '@reduxjs/toolkit';

const initialState = {
  topIsLoading: true,
  topMenuData: [],
  topError: '',
};

const topMenuSlice = createSlice({
  name: 'topMenu',
  initialState,
  reducers: {
    topMenuPending: state => {
      state.topIsLoading = true;
      state.topError = '';
    },
    topMenuSuccess: (state, { payload }) => {
      state.topIsLoading = false;
      state.topMenuData = payload;
    },
    topMenuFail: (state, { payload }) => {
      state.topIsLoading = false;
      state.topError = payload;
    },
  },
});

const { reducer, actions } = topMenuSlice;

export const { topMenuPending, topMenuSuccess, topMenuFail } = actions;

export default reducer;
