import React, { useEffect } from "react"
import { useFormikContext } from 'formik';
import { useDispatch } from 'react-redux';
import { useDebouncedCallback } from "use-debounce";
import { updateBilling, updateShipping, updateAddressStatus, updateShippingMethod } from "../reducer/woocommerceSlice";

import axios from "axios";




export const FormObserver = () => {
    const { values } = useFormikContext();
    const dispatch = useDispatch()

    const handleFormChange = useDebouncedCallback(async (values) => {
        const { ship_to_different_address } = values;
        var billing_address = { first_name: values.billing_first_name, last_name: values.billing_last_name, postcode: values.billing_postcode, country: values.billing_country, address_1: values.billing_address_1, address_2: values.billing_address_2, city: values.billing_city, state: values.billing_state, phone: values.billing_phone, email: values.billing_email, company: values.billing_company };
        var shipping_address_data = { first_name: values.shipping_first_name, last_name: values.shipping_last_name, postcode: values.shipping_postcode, country: values.shipping_country, address_1: values.shipping_address_1, address_2: values.shipping_address_2, city: values.shipping_city, state: values.shipping_state, phone: values.shipping_phone, email: values.shipping_email, company: values.shipping_company };
        let shipping_address = values.ship_to_different_address ? shipping_address_data : billing_address;

        await axios({
            url: process.env.API_URL + 'wc/store/cart/update-customer',
            withCredentials: true,
            method: 'POST',
            data: { billing_address, shipping_address },
        }).then(function (response) {
            if (response.data.status == 400) {
                console.log("error res", response)
            } else {
                dispatch(updateBilling(response.data.billing_address))

                if (ship_to_different_address) {
                    dispatch(updateShipping(response.data.shipping_address))
                } else {
                    dispatch(updateShipping(response.data.billing_address))
                }
                dispatch(updateShippingMethod(response.data.shipping_rates))
            }
        }).catch(function (error) {
            // dispatch(toast(error.response.data.data.params))
            console.log("check error", error.response.data.data);
        });
        // var result = storeApi({ endpoint: "cart/update-customer", method: "POST", body: { billing_address, shipping_address }, })
        // if (result.data && result.data.status == 400) {
        // }


        dispatch(updateAddressStatus(ship_to_different_address))


    }, 1000);



    useEffect(() => {
        handleFormChange(values);
    }, [values]);


    return null;
};